package com.contextspace.internalexception;

import javax.jdo.annotations.Index;
import javax.jdo.annotations.Indices;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;


@Entity
@Table
@Indices({
@Index(unique="true", members={"cdiId"}),
})
public class CDI extends BaseObject {
  
   private String cdiId = null;
 
   private String firstname = null;

   private String lastname = null;
 
   private String status = null;
 
   private String accountNumber = null;

    public CDI() {
    	super();
    }
    
    public CDI(String cdiId) {
        super();
    	setCdiId(cdiId);
    }
    
    /**
     * @return the cdiId
     */
    @Index(unique="false")
    @Column(nullable=false) // this is only used by ORM for creating the tables with constraints 
    public String getCdiId() {
        return cdiId;
    }
    
    /**
     * @param cdiId the cdiId to set
     */
    public void setCdiId(String cdiId) {
        this.cdiId = cdiId;
    }

    @Transient
    public String getStringID() {
        return getCdiId();
    }
    public void setStringID(String id) {
    	setCdiId(id);
    }
    
    @Index(unique="false")
	public String getFirstname() {
		return firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	@Index(unique="false")
	public String getLastname() {
		return lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

    @Index(unique="false")
	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}	

}
