package com.contextspace.internalexception;

import javax.jdo.annotations.Index;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table
@Entity

public class Role extends BaseObject {
   
    private String roleId;

    
    /**
     * Default constructor
     */
    public Role() {
    	super();
    }
    
    /**
     * Constructor, sets the roleId
     * @param roleId
     */
    public Role(String roleId) {
		super();
		this.roleId = roleId;
	}


	/**
     * @return the roleId
     */
    @Index(unique="true")
    @Column(nullable=false,unique=true) // this is only used by ORM for creating the tables with constraints
    public String getRoleId() {
        return roleId;
    }

    @Transient
    public String getStringID() {
        return roleId;
    }
    public void setStringID(String id) {
    	roleId=id;
    }
   /**
     * @param roleId the roleId to set
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

}
